import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'v-kanban-double',
  templateUrl: './kanban-double.component.html',
  styleUrls: ['./kanban-double.component.scss'],
})
export class KanbanDoubleComponent implements OnInit {

  @Input()
  name1 = '';

  @Input()
  name2 = '';

  @Input()
  iconImg1 = '';

  @Input()
  iconImg2 = '';

  @Input()
  iconImg3 = '';

  @Input()
  inData1 = '';

  @Input()
  inData2 = '';

  @Input()
  inData3 = '';

  @Input()
  iconColor1 = '';

  @Input()
  iconColor2 = '';

  @Input()
  iconColor3 = '';

  @Input()
  fontColor1 = '';

  @Input()
  fontColor2 = '';

  @Input()
  fontColor3 = '';

  @Input()
  iconWidth = '';

  @Input()
  fontSize = '';

  constructor() { }

  ngOnInit() {
    this.fontColor1 = this.iconColor1;
    this.fontColor2 = this.iconColor2;
    this.fontColor3 = this.iconColor3;
  }

}
